2

I'm getting the below configure error while doing the install the Zabbix reporting tool on Linux. i have tried both Versions(zabbix-2.0.9,zabbix-1.8.17), but getting same issue.

Log:

checking for macro __VA_ARGS__... yes
checking return type of signal handlers... void
checking for getloadavg... yes
checking for hstrerror... yes
checking for getenv... yes
checking for putenv... yes
checking for sigqueue... yes
checking for /proc filesystem... yes
checking for file /proc/stat... yes
checking for file /proc/cpuinfo... yes
checking for file /proc/0/psinfo... no
checking for file /proc/loadavg... yes
checking for file /proc/net/dev... yes
checking for long long format... no
checking for -rdynamic linking option... yes
checking for libperfstat 5.2.0.40 fileset... no
checking for libperfstat 5.3.0.60 fileset... no
checking for architecture... linux (linux-gnu)
checking for the linux kernel version... unknown family (3.0.76-0.11-default)
checking if Oracle support is enabled... no
checking for SQLite3 library >= 3.0.0... no
configure: error: SQLite3 library not found

Please help me how to fix this issue?

Thanks,

0

3 Answers 3

7

I tried both, sudo apt-get install sqlite and building from source but problem persists. Then I tried the following command and it worked. May be it'll help someone else too.

sudo apt-get install libsqlite3-dev
2

You need to install libraries:

sudo apt-get install sqlite

(on linux console, o the equivalent command for your distribution) also, if you want, you can install python because SQLite is a dependency of it.

1

You need install sqlite-autoconf,

tar xvfz sqlite-autoconf*.tar, 
cd sqlite-autoconf*.tar, 
./configure
make
make install.

This for install libsqlite3.so package and then you can compile gcc -o xxx xxx.c -lsqlite3

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.